# norootforbuild

%define _prefix /opt/kde3
%define _sysconfdir /etc/opt/kde3

Name:           k3b
BuildRequires:  cdparanoia flac-devel hal-devel kdelibs3-devel libdvdread-devel libmusicbrainz-devel libsamplerate-devel libsndfile-devel taglib-devel a52dec
BuildRequires:  ffmpeg-devel mad-devel lame
%if 0%{?suse_version} > 1010 || 0%{?sles_version} == 10
BuildRequires:  libmpcdec-devel
%else
BuildRequires:  libmpcdec libamrnb-devel
%endif
%if 0%{?suse_version} < 1010
BuildRequires:  taglib
%endif
%if 0%{?suse_version} <= 1000
BuildRequires:  update-desktop-files
%endif
URL:            http://k3b.sourceforge.net/
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Record
Summary:        Universal CD and DVD Burning Application
Requires:       /usr/bin/cdrecord /usr/bin/mkisofs /usr/bin/cdrdao dvd+rw-tools
Version:        1.0.5
Release:        8.11
%if 0%{?suse_version} > 1020
Requires:       %{name}-lang = %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:			 http://prdownloads.sourceforge.net/k3b/k3b-%{version}.tar.bz2
Source1:			 http://prdownloads.sourceforge.net/k3b/k3b-i18n-%{version}.tar.bz2
Source3:        k3b_create_video_dvd.desktop
Patch1:         k3b-resmgr.diff
Patch2:         k3b-hide-misleading-message.diff
Patch3:         k3b-sound.diff
Patch4:         k3b-add-to-media.diff
Patch5:         k3b-ignore-cdrdao-nonroot.diff
Patch7:         k3b-dvdformatting_umount.diff
Patch8:         k3b-use-kdeeject.diff
Patch9:         k3b-fix_mountpoint.diff
Patch10:        k3b-install-dvd-desktops.diff
Patch11:        k3binterferingsystemshandler.diff
Patch12:	%{name}-%{version}-ffmpeg.patch

%if 0%{?suse_version} < 1110
Requires:       hal-resmgr
%endif
# see 114320
%if 0%{?suse_version} >1030
Requires:       suse_help_viewer kdebase3-runtime
%else
Requires:       kdebase3
%endif

%description
This package extends the opensuse package by some codecs.

K3b is a CD burning application that supports Ogg Vorbis, MP3 audio
files, DVD burning, CDDB, and much more.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package arts
Group:          Productivity/Multimedia/CD/Record
Summary:        aRts Sound Output for k3b

%description arts
k3b can play audio data via aRts with this plugin.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package codecs
Group:          Productivity/Multimedia/CD/Record
Summary:        MP3 Encoding and Video Decoding/Encoding Plugins
Provides:       k3b:/opt/kde3/share/apps/k3b/plugins/k3bmaddecoder.plugin
Provides:       k3b-mad:/opt/kde3/%_lib/kde3/libk3bmaddecoder.so

%description codecs
Some codecs, which are not provided by the openSUSE buildservice.
One may install the buildservice k3b package and add this codecs package.

K3b can be used to create mp3 files from audio CDs with this plugin. It
can also convert video codecs via ffmpeg.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package devel
Summary:        A Universal CD and DVD Burning Application
Group:          Productivity/Multimedia/CD/Record
Requires:       %{name} = %{version}-%{release}

%description devel
K3b is a CD burning application that supports Ogg Vorbis, MP3 audio
files, DVD burning, CDDB, and much more.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%if 0%{?suse_version} > 1020
%package lang
Summary:			 Languages for package %{name}
Group:			 System/Localization
Requires:		 %{name} = %{version}
Provides:		 %{name}-lang-all = %{version}-%{release}
Supplements:	 packageand(bundle-lang-other:%{name})

%description lang
Provides translations to the package %{name}.
%endif

%debug_package
%prep
%setup -q -b 1
#%patch1
#%patch2
%patch3
%patch4 -p1
%patch5
#%patch7
%patch8
#%patch9
%patch10
#%patch11
%patch12 -p1

cp %{SOURCE3} src/konqi/
. /etc/opt/kde3/common_options
update_admin
cd "../k3b-i18n-%version"
update_admin

%build
. /etc/opt/kde3/common_options
export CFLAGS="$CFLAGS -O0 -g"
export CXXFLAGS="$CFLAGS"
./configure $configkde \
       --with-k3bsetup=no --without-cdrecord-suid-root \
  	    --enable-resmgr \
  	    --disable-final
make %{?jobs:-j %jobs}
cd ../k3b-i18n-%version
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
make DESTDIR="%{buildroot}" $INSTALL_TARGET
pushd "../k3b-i18n-%{version}"
make DESTDIR="%{buildroot}" $INSTALL_TARGET
popd
%suse_update_desktop_file -r k3b DiscBurning

%if 0%{?suse_version} > 1000
%find_lang %name --all-name
%else
%find_lang %name
%endif

kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%if 0%{?suse_version} > 1020
%files lang -f %name.lang
%files
%else
%files -f %name.lang
%endif
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_bindir}/k3b
%{_libdir}/kde3/libk3bexternalencoder.la
%{_libdir}/kde3/libk3bexternalencoder.so
%{_libdir}/kde3/libk3bflacdecoder.la
%{_libdir}/kde3/libk3bflacdecoder.so
%{_libdir}/kde3/libk3boggvorbisencoder.la
%{_libdir}/kde3/libk3boggvorbisencoder.so
%{_libdir}/kde3/libk3boggvorbisdecoder.la
%{_libdir}/kde3/libk3boggvorbisdecoder.so
%{_libdir}/kde3/libk3bsoxencoder.so
%{_libdir}/kde3/libk3bsoxencoder.la
%{_libdir}/kde3/libk3bwavedecoder.so
%{_libdir}/kde3/libk3bwavedecoder.la
%{_libdir}/kde3/libk3balsaoutputplugin.la
%{_libdir}/kde3/libk3balsaoutputplugin.so
%{_libdir}/kde3/libk3baudiometainforenamerplugin.la
%{_libdir}/kde3/libk3baudiometainforenamerplugin.so
%{_libdir}/kde3/libk3baudioprojectcddbplugin.la
%{_libdir}/kde3/libk3baudioprojectcddbplugin.so
%{_libdir}/kde3/kfile_k3b.so
%{_libdir}/kde3/kfile_k3b.la
%{_libdir}/kde3/kio_videodvd.so
%{_libdir}/kde3/kio_videodvd.la
%{_libdir}/kde3/libk3blibsndfiledecoder.so
%{_libdir}/kde3/libk3blibsndfiledecoder.la
%if 0%{?opensuse_bs}
%else
%{_libdir}/kde3/libk3bmpcdecoder.so
%{_libdir}/kde3/libk3bmpcdecoder.la
%endif
%if 0%{?suse_version} > 1010 || 0%{?sles_version} == 10
%{_libdir}/kde3/libk3bmpcdecoder.so
%{_libdir}/kde3/libk3bmpcdecoder.la
%endif
%dir %{_datadir}/apps/konqsidebartng
%dir %{_datadir}/apps/konqsidebartng/virtual_folders
%dir %{_datadir}/apps/konqsidebartng/virtual_folders/services
%{_datadir}/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_datadir}/services/kfile_k3b.desktop
%{_datadir}/services/videodvd.protocol
%{_libdir}/lib*
%{_datadir}/applications/kde/k3b.desktop
%{_datadir}/applnk/.hidden
%{_datadir}/apps/k3b
%exclude %{_datadir}/apps/k3b/plugins/k3bmaddecoder.plugin
%exclude %{_datadir}/apps/k3b/plugins/k3bffmpegdecoder.plugin
%exclude %{_datadir}/apps/k3b/plugins/k3blameencoder.plugin
%{_datadir}/apps/konqueror
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/x-k3b.desktop
%{_datadir}/sounds
%if 0%{?suse_version} < 930
%{_datadir}/doc/HTML/pt_BR
%endif

%files arts
%defattr(-,root,root)
%{_libdir}/kde3/libk3bartsoutputplugin.*

%files codecs
%defattr(-,root,root)
%{_libdir}/kde3/libk3bmaddecoder.*
%{_libdir}/kde3/libk3bffmpegdecoder.*
%{_libdir}/kde3/libk3blameencoder.*
%{_datadir}/apps/k3b/plugins/k3bmaddecoder.plugin
%{_datadir}/apps/k3b/plugins/k3bffmpegdecoder.plugin
%{_datadir}/apps/k3b/plugins/k3blameencoder.plugin

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%changelog
* Tue Jan 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import for SLE_10
